Package org.eclipse.m2m.atl.dsls.tcs.injector

# Class ATL_ANTLR3Lexer

java.lang.Object
org.antlr.runtime.BaseRecognizer
org.antlr.runtime.Lexer
org.eclipse.m2m.atl.dsls.tcs.injector.ATL_ANTLR3Lexer

All Implemented Interfaces:
  `org.antlr.runtime.TokenSource`

public class ATL_ANTLR3Lexer extends org.antlr.runtime.Lexer

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ALPHA`
`static final int`
`AROBAS`
`static final int`
`ASSIGNARROW`
`static final int`
`COLON`
`static final int`
`COMA`
`static final int`
`COMMENT`
`protected org.eclipse.m2m.atl.dsls.tcs.injector.ATL_ANTLR3Lexer.DFA16`
`dfa16`
`static final int`
`DIGIT`
`TCSRuntime`
`ei`
`static final int`
`EOF`
`static final int`
`EQ`
`static final int`
`ESC`
`static final int`
`EXCL`
`static final int`
`FLOAT`
`static final int`
`GE`
`static final int`
`GT`
`static final int`
`INT`
`static final int`
`LARROW`
`static final int`
`LCURLY`
`static final int`
`LE`
`static final int`
`LPAREN`
`static final int`
`LSQUARE`
`static final int`
`LT`
`static final int`
`MINUS`
`static final int`
`NAME`
`static final int`
`NE`
`static final int`
`NL`
`static final int`
`PIPE`
`static final int`
`PLUS`
`static final int`
`POINT`
`static final int`
`QMARK`
`static final int`
`RARROW`
`static final int`
`RCURLY`
`static final int`
`RPAREN`
`static final int`
`RSQUARE`
`static final int`
`SEMI`
`static final int`
`SHARP`
`static final int`
`SLASH`
`static final int`
`SNAME`
`static final int`
`STAR`
`static final int`
`STRING`
`static final int`
`T__100`
`static final int`
`T__43`
`static final int`
`T__44`
`static final int`
`T__45`
`static final int`
`T__46`
`static final int`
`T__47`
`static final int`
`T__48`
`static final int`
`T__49`
`static final int`
`T__50`
`static final int`
`T__51`
`static final int`
`T__52`
`static final int`
`T__53`
`static final int`
`T__54`
`static final int`
`T__55`
`static final int`
`T__56`
`static final int`
`T__57`
`static final int`
`T__58`
`static final int`
`T__59`
`static final int`
`T__60`
`static final int`
`T__61`
`static final int`
`T__62`
`static final int`
`T__63`
`static final int`
`T__64`
`static final int`
`T__65`
`static final int`
`T__66`
`static final int`
`T__67`
`static final int`
`T__68`
`static final int`
`T__69`
`static final int`
`T__70`
`static final int`
`T__71`
`static final int`
`T__72`
`static final int`
`T__73`
`static final int`
`T__74`
`static final int`
`T__75`
`static final int`
`T__76`
`static final int`
`T__77`
`static final int`
`T__78`
`static final int`
`T__79`
`static final int`
`T__80`
`static final int`
`T__81`
`static final int`
`T__82`
`static final int`
`T__83`
`static final int`
`T__84`
`static final int`
`T__85`
`static final int`
`T__86`
`static final int`
`T__87`
`static final int`
`T__88`
`static final int`
`T__89`
`static final int`
`T__90`
`static final int`
`T__91`
`static final int`
`T__92`
`static final int`
`T__93`
`static final int`
`T__94`
`static final int`
`T__95`
`static final int`
`T__96`
`static final int`
`T__97`
`static final int`
`T__98`
`static final int`
`T__99`
`static final int`
`WS`

### Fields inherited from class org.antlr.runtime.Lexer

`input`

### Fields inherited from class org.antlr.runtime.BaseRecognizer

`DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

## Constructor Summary

Constructors
Constructor
Description
`ATL_ANTLR3Lexer()`
`ATL_ANTLR3Lexer(org.antlr.runtime.CharStream input)`
`ATL_ANTLR3Lexer(org.antlr.runtime.CharStream input, org.antlr.runtime.RecognizerSharedState state)`

## Method Summary

Modifier and Type
Method
Description
`void`
`displayRecognitionError(String[] tokenNames, org.antlr.runtime.RecognitionException e)`
`org.antlr.runtime.Token`
`emit()`
`String`
`getGrammarFileName()`
`final void`
`mALPHA()`
`final void`
`mAROBAS()`
`final void`
`mASSIGNARROW()`
`final void`
`mCOLON()`
`final void`
`mCOMA()`
`final void`
`mCOMMENT()`
`final void`
`mDIGIT()`
`final void`
`mEQ()`
`final void`
`mESC()`
`final void`
`mEXCL()`
`final void`
`mFLOAT()`
`final void`
`mGE()`
`final void`
`mGT()`
`final void`
`mINT()`
`final void`
`mLARROW()`
`final void`
`mLCURLY()`
`final void`
`mLE()`
`final void`
`mLPAREN()`
`final void`
`mLSQUARE()`
`final void`
`mLT()`
`final void`
`mMINUS()`
`final void`
`mNAME()`
`final void`
`mNE()`
`final void`
`mNL()`
`final void`
`mPIPE()`
`final void`
`mPLUS()`
`final void`
`mPOINT()`
`final void`
`mQMARK()`
`final void`
`mRARROW()`
`final void`
`mRCURLY()`
`final void`
`mRPAREN()`
`final void`
`mRSQUARE()`
`final void`
`mSEMI()`
`final void`
`mSHARP()`
`final void`
`mSLASH()`
`final void`
`mSNAME()`
`final void`
`mSTAR()`
`final void`
`mSTRING()`
`final void`
`mT__100()`
`final void`
`mT__43()`
`final void`
`mT__44()`
`final void`
`mT__45()`
`final void`
`mT__46()`
`final void`
`mT__47()`
`final void`
`mT__48()`
`final void`
`mT__49()`
`final void`
`mT__50()`
`final void`
`mT__51()`
`final void`
`mT__52()`
`final void`
`mT__53()`
`final void`
`mT__54()`
`final void`
`mT__55()`
`final void`
`mT__56()`
`final void`
`mT__57()`
`final void`
`mT__58()`
`final void`
`mT__59()`
`final void`
`mT__60()`
`final void`
`mT__61()`
`final void`
`mT__62()`
`final void`
`mT__63()`
`final void`
`mT__64()`
`final void`
`mT__65()`
`final void`
`mT__66()`
`final void`
`mT__67()`
`final void`
`mT__68()`
`final void`
`mT__69()`
`final void`
`mT__70()`
`final void`
`mT__71()`
`final void`
`mT__72()`
`final void`
`mT__73()`
`final void`
`mT__74()`
`final void`
`mT__75()`
`final void`
`mT__76()`
`final void`
`mT__77()`
`final void`
`mT__78()`
`final void`
`mT__79()`
`final void`
`mT__80()`
`final void`
`mT__81()`
`final void`
`mT__82()`
`final void`
`mT__83()`
`final void`
`mT__84()`
`final void`
`mT__85()`
`final void`
`mT__86()`
`final void`
`mT__87()`
`final void`
`mT__88()`
`final void`
`mT__89()`
`final void`
`mT__90()`
`final void`
`mT__91()`
`final void`
`mT__92()`
`final void`
`mT__93()`
`final void`
`mT__94()`
`final void`
`mT__95()`
`final void`
`mT__96()`
`final void`
`mT__97()`
`final void`
`mT__98()`
`final void`
`mT__99()`
`void`
`mTokens()`
`final void`
`mWS()`

### Methods inherited from class org.antlr.runtime.Lexer

`emit, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getCharStream, getErrorMessage, getLine, getSourceName, getText, match, match, matchAny, matchRange, nextToken, recover, reportError, reset, setCharStream, setText, skip, traceIn, traceOut`

### Methods inherited from class org.antlr.runtime.BaseRecognizer

`alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, emitErrorMessage, endResync, failed, getBacktrackingLevel, getCurrentInputSymbol, getErrorHeader, getMissingSymbol, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, getTokenNames, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, setBacktrackingLevel, toStrings, traceIn, traceOut`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### T__50

public static final int T__50

See Also:
  - Constant Field Values

### QMARK

public static final int QMARK

See Also:
  - Constant Field Values

### MINUS

public static final int MINUS

See Also:
  - Constant Field Values

### RSQUARE

public static final int RSQUARE

See Also:
  - Constant Field Values

### T__59

public static final int T__59

See Also:
  - Constant Field Values

### T__55

public static final int T__55

See Also:
  - Constant Field Values

### T__56

public static final int T__56

See Also:
  - Constant Field Values

### T__57

public static final int T__57

See Also:
  - Constant Field Values

### T__58

public static final int T__58

See Also:
  - Constant Field Values

### T__51

public static final int T__51

See Also:
  - Constant Field Values

### T__52

public static final int T__52

See Also:
  - Constant Field Values

### T__53

public static final int T__53

See Also:
  - Constant Field Values

### T__54

public static final int T__54

See Also:
  - Constant Field Values

### COMA

public static final int COMA

See Also:
  - Constant Field Values

### T__60

public static final int T__60

See Also:
  - Constant Field Values

### T__61

public static final int T__61

See Also:
  - Constant Field Values

### LPAREN

public static final int LPAREN

See Also:
  - Constant Field Values

### T__66

public static final int T__66

See Also:
  - Constant Field Values

### T__67

public static final int T__67

See Also:
  - Constant Field Values

### T__68

public static final int T__68

See Also:
  - Constant Field Values

### T__69

public static final int T__69

See Also:
  - Constant Field Values

### T__62

public static final int T__62

See Also:
  - Constant Field Values

### T__63

public static final int T__63

See Also:
  - Constant Field Values

### T__64

public static final int T__64

See Also:
  - Constant Field Values

### T__65

public static final int T__65

See Also:
  - Constant Field Values

### SEMI

public static final int SEMI

See Also:
  - Constant Field Values

### COMMENT

public static final int COMMENT

See Also:
  - Constant Field Values

### ESC

public static final int ESC

See Also:
  - Constant Field Values

### RCURLY

public static final int RCURLY

See Also:
  - Constant Field Values

### AROBAS

public static final int AROBAS

See Also:
  - Constant Field Values

### LCURLY

public static final int LCURLY

See Also:
  - Constant Field Values

### RARROW

public static final int RARROW

See Also:
  - Constant Field Values

### T__48

public static final int T__48

See Also:
  - Constant Field Values

### STAR

public static final int STAR

See Also:
  - Constant Field Values

### T__49

public static final int T__49

See Also:
  - Constant Field Values

### LARROW

public static final int LARROW

See Also:
  - Constant Field Values

### T__44

public static final int T__44

See Also:
  - Constant Field Values

### T__45

public static final int T__45

See Also:
  - Constant Field Values

### STRING

public static final int STRING

See Also:
  - Constant Field Values

### SHARP

public static final int SHARP

See Also:
  - Constant Field Values

### LE

public static final int LE

See Also:
  - Constant Field Values

### T__46

public static final int T__46

See Also:
  - Constant Field Values

### T__47

public static final int T__47

See Also:
  - Constant Field Values

### EXCL

public static final int EXCL

See Also:
  - Constant Field Values

### T__43

public static final int T__43

See Also:
  - Constant Field Values

### T__91

public static final int T__91

See Also:
  - Constant Field Values

### T__100

public static final int T__100

See Also:
  - Constant Field Values

### T__92

public static final int T__92

See Also:
  - Constant Field Values

### T__93

public static final int T__93

See Also:
  - Constant Field Values

### T__94

public static final int T__94

See Also:
  - Constant Field Values

### T__90

public static final int T__90

See Also:
  - Constant Field Values

### LT

public static final int LT

See Also:
  - Constant Field Values

### ALPHA

public static final int ALPHA

See Also:
  - Constant Field Values

### PIPE

public static final int PIPE

See Also:
  - Constant Field Values

### T__99

public static final int T__99

See Also:
  - Constant Field Values

### T__95

public static final int T__95

See Also:
  - Constant Field Values

### T__96

public static final int T__96

See Also:
  - Constant Field Values

### T__97

public static final int T__97

See Also:
  - Constant Field Values

### T__98

public static final int T__98

See Also:
  - Constant Field Values

### RPAREN

public static final int RPAREN

See Also:
  - Constant Field Values

### EQ

public static final int EQ

See Also:
  - Constant Field Values

### NAME

public static final int NAME

See Also:
  - Constant Field Values

### ASSIGNARROW

public static final int ASSIGNARROW

See Also:
  - Constant Field Values

### NE

public static final int NE

See Also:
  - Constant Field Values

### NL

public static final int NL

See Also:
  - Constant Field Values

### PLUS

public static final int PLUS

See Also:
  - Constant Field Values

### T__70

public static final int T__70

See Also:
  - Constant Field Values

### T__71

public static final int T__71

See Also:
  - Constant Field Values

### FLOAT

public static final int FLOAT

See Also:
  - Constant Field Values

### T__72

public static final int T__72

See Also:
  - Constant Field Values

### INT

public static final int INT

See Also:
  - Constant Field Values

### T__77

public static final int T__77

See Also:
  - Constant Field Values

### T__78

public static final int T__78

See Also:
  - Constant Field Values

### T__79

public static final int T__79

See Also:
  - Constant Field Values

### T__73

public static final int T__73

See Also:
  - Constant Field Values

### WS

public static final int WS

See Also:
  - Constant Field Values

### EOF

public static final int EOF

See Also:
  - Constant Field Values

### T__74

public static final int T__74

See Also:
  - Constant Field Values

### T__75

public static final int T__75

See Also:
  - Constant Field Values

### GE

public static final int GE

See Also:
  - Constant Field Values

### T__76

public static final int T__76

See Also:
  - Constant Field Values

### T__80

public static final int T__80

See Also:
  - Constant Field Values

### T__81

public static final int T__81

See Also:
  - Constant Field Values

### T__82

public static final int T__82

See Also:
  - Constant Field Values

### T__83

public static final int T__83

See Also:
  - Constant Field Values

### SLASH

public static final int SLASH

See Also:
  - Constant Field Values

### SNAME

public static final int SNAME

See Also:
  - Constant Field Values

### COLON

public static final int COLON

See Also:
  - Constant Field Values

### GT

public static final int GT

See Also:
  - Constant Field Values

### DIGIT

public static final int DIGIT

See Also:
  - Constant Field Values

### LSQUARE

public static final int LSQUARE

See Also:
  - Constant Field Values

### T__88

public static final int T__88

See Also:
  - Constant Field Values

### T__89

public static final int T__89

See Also:
  - Constant Field Values

### T__84

public static final int T__84

See Also:
  - Constant Field Values

### POINT

public static final int POINT

See Also:
  - Constant Field Values

### T__85

public static final int T__85

See Also:
  - Constant Field Values

### T__86

public static final int T__86

See Also:
  - Constant Field Values

### T__87

public static final int T__87

See Also:
  - Constant Field Values

### ei

public TCSRuntime ei

### dfa16

protected org.eclipse.m2m.atl.dsls.tcs.injector.ATL_ANTLR3Lexer.DFA16 dfa16

## Constructor Details

### ATL_ANTLR3Lexer

public ATL_ANTLR3Lexer()

### ATL_ANTLR3Lexer

public ATL_ANTLR3Lexer(org.antlr.runtime.CharStream input)

### ATL_ANTLR3Lexer

public ATL_ANTLR3Lexer(org.antlr.runtime.CharStream input, org.antlr.runtime.RecognizerSharedState state)

## Method Details

### displayRecognitionError

public void displayRecognitionError(String[] tokenNames, org.antlr.runtime.RecognitionException e)

Overrides:
  `displayRecognitionError` in class `org.antlr.runtime.BaseRecognizer`

### emit

public org.antlr.runtime.Token emit()

Overrides:
  `emit` in class `org.antlr.runtime.Lexer`

### getGrammarFileName

public String getGrammarFileName()

Overrides:
  `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

### mT__43

public final void mT__43() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__44

public final void mT__44() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__45

public final void mT__45() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__46

public final void mT__46() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__47

public final void mT__47() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__48

public final void mT__48() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__49

public final void mT__49() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__50

public final void mT__50() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__51

public final void mT__51() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__52

public final void mT__52() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__53

public final void mT__53() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__54

public final void mT__54() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__55

public final void mT__55() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__56

public final void mT__56() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__57

public final void mT__57() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__58

public final void mT__58() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__59

public final void mT__59() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__60

public final void mT__60() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__61

public final void mT__61() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__62

public final void mT__62() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__63

public final void mT__63() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__64

public final void mT__64() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__65

public final void mT__65() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__66

public final void mT__66() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__67

public final void mT__67() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__68

public final void mT__68() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__69

public final void mT__69() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__70

public final void mT__70() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__71

public final void mT__71() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__72

public final void mT__72() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__73

public final void mT__73() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__74

public final void mT__74() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__75

public final void mT__75() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__76

public final void mT__76() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__77

public final void mT__77() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__78

public final void mT__78() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__79

public final void mT__79() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__80

public final void mT__80() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__81

public final void mT__81() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__82

public final void mT__82() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__83

public final void mT__83() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__84

public final void mT__84() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__85

public final void mT__85() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__86

public final void mT__86() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__87

public final void mT__87() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__88

public final void mT__88() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__89

public final void mT__89() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__90

public final void mT__90() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__91

public final void mT__91() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__92

public final void mT__92() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__93

public final void mT__93() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__94

public final void mT__94() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__95

public final void mT__95() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__96

public final void mT__96() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__97

public final void mT__97() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__98

public final void mT__98() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__99

public final void mT__99() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mT__100

public final void mT__100() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mNL

public final void mNL() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mWS

public final void mWS() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mDIGIT

public final void mDIGIT() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mALPHA

public final void mALPHA() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mSNAME

public final void mSNAME() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mNAME

public final void mNAME() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mINT

public final void mINT() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mFLOAT

public final void mFLOAT() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mESC

public final void mESC() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mSTRING

public final void mSTRING() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mLSQUARE

public final void mLSQUARE() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mRSQUARE

public final void mRSQUARE() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mEXCL

public final void mEXCL() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mCOMA

public final void mCOMA() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mLPAREN

public final void mLPAREN() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mRPAREN

public final void mRPAREN() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mLCURLY

public final void mLCURLY() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mRCURLY

public final void mRCURLY() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mSEMI

public final void mSEMI() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mCOLON

public final void mCOLON() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mPIPE

public final void mPIPE() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mSHARP

public final void mSHARP() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mQMARK

public final void mQMARK() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mAROBAS

public final void mAROBAS() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mPOINT

public final void mPOINT() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mRARROW

public final void mRARROW() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mMINUS

public final void mMINUS() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mSTAR

public final void mSTAR() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mSLASH

public final void mSLASH() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mPLUS

public final void mPLUS() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mEQ

public final void mEQ() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mGT

public final void mGT() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mLT

public final void mLT() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mGE

public final void mGE() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mLE

public final void mLE() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mNE

public final void mNE() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mLARROW

public final void mLARROW() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mASSIGNARROW

public final void mASSIGNARROW() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mCOMMENT

public final void mCOMMENT() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mTokens

public void mTokens() throws org.antlr.runtime.RecognitionException

Specified by:
  `mTokens` in class `org.antlr.runtime.Lexer`
Throws:
  `org.antlr.runtime.RecognitionException`